package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BusDmcgyq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 基础数据-地面磁感应器
* @author zcf
* @date 2021/10/26
*/
@Mapper
@Repository
public interface BusDmcgyqMapper {

    /**
    * 新增
    */
    int insert(BusDmcgyq busDmcgyq);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusDmcgyq busDmcgyq);

    /**
    * 获取单个
    */
    BusDmcgyq getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusDmcgyq> getList(BusDmcgyq busDmcgyq);

}
